Discover SSO availability for domain
curl --request GET \
--url https://statusstack.com/api/sso/discover \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://statusstack.com/api/sso/discover', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://statusstack.com/api/sso/discover"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sso_available": true,
"organization_id": "01234567-89ab-cdef-0123-456789abcdef",
"organization_name": "Acme Corporation",
"login_url": "https://statusstack.com/saml2/login/01234567-89ab-cdef-0123-456789abcdef"
}System
Discover SSO availability for domain
Check if a domain has SSO (SAML) authentication configured
GET
/
sso
/
discover
Discover SSO availability for domain
curl --request GET \
--url https://statusstack.com/api/sso/discover \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://statusstack.com/api/sso/discover', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://statusstack.com/api/sso/discover"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sso_available": true,
"organization_id": "01234567-89ab-cdef-0123-456789abcdef",
"organization_name": "Acme Corporation",
"login_url": "https://statusstack.com/saml2/login/01234567-89ab-cdef-0123-456789abcdef"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Domain to check for SSO configuration
Was this page helpful?

